Package org.bgerp.plugin.pln.callboard.dao

# Class WorkTypeDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.pln.callboard.dao.WorkTypeDAO

public class WorkTypeDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkTypeDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyWorkDaysCalendar(int calendarId, int from, int to)`
  `void`
  `deleteWorkType(int id)`
  `Map<Date,Integer>`
  `getWorkDaysCalendarExcludes(int calendarId)`
  `WorkType`
  `getWorkType(int id)`
  `List<WorkType>`
  `getWorkTypeList()`
  `List<WorkType>`
  `getWorkTypeList(Set<?> workTypeIds)`
  `Map<Integer,WorkType>`
  `getWorkTypeMap()`
  По-возможности использовать `CallboardCache.getWorkTypeMap()`
  `Map<Integer,WorkType>`
  `getWorkTypeMap(boolean dynamicOnly)`
  `void`
  `searchWorkType(Pageable<WorkType> searchResult, int category)`
  `void`
  `updateWorkDaysCalendar(int calendarId, int type, Date date)`
  `void`
  `updateWorkType(WorkType workType)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkTypeDAO

    public WorkTypeDAO(Connection con)

- ## Method Details

  - ### searchWorkType

    public void searchWorkType(Pageable<WorkType> searchResult, int category)

  - ### getWorkTypeList

    public List<WorkType> getWorkTypeList()

  - ### getWorkTypeList

    public List<WorkType> getWorkTypeList(Set<?> workTypeIds)

  - ### getWorkTypeMap

    public Map<Integer,WorkType> getWorkTypeMap()
    По-возможности использовать `CallboardCache.getWorkTypeMap()`
    Returns:

  - ### getWorkTypeMap

    public Map<Integer,WorkType> getWorkTypeMap(boolean dynamicOnly)

  - ### updateWorkType

    public void updateWorkType(WorkType workType)

  - ### getWorkType

    public WorkType getWorkType(int id)

  - ### deleteWorkType

    public void deleteWorkType(int id)

  - ### updateWorkDaysCalendar

    public void updateWorkDaysCalendar(int calendarId, int type, Date date)

  - ### copyWorkDaysCalendar

    public void copyWorkDaysCalendar(int calendarId, int from, int to)

  - ### getWorkDaysCalendarExcludes

    public Map<Date,Integer> getWorkDaysCalendarExcludes(int calendarId)